package com.remobjects.elements;

import com.remobjects.elements.system.UnsignedByte;
import com.remobjects.elements.system.UnsignedInteger;
import com.remobjects.elements.system.UnsignedLong;
import com.remobjects.elements.system.UnsignedShort;

public abstract class ArrayUtils {
    protected ArrayUtils() {
    }

    public static Iterable<Byte> asIterable(byte[] bArr) {
        return new ArrayUtils$$asIterable$d__1(bArr);
    }

    public static Iterable<Character> asIterable(char[] cArr) {
        return new ArrayUtils$$asIterable$d__2(cArr);
    }

    public static Iterable<Double> asIterable(double[] dArr) {
        return new ArrayUtils$$asIterable$d__3(dArr);
    }

    public static Iterable<Float> asIterable(float[] fArr) {
        return new ArrayUtils$$asIterable$d__4(fArr);
    }

    public static Iterable<Integer> asIterable(int[] iArr) {
        return new ArrayUtils$$asIterable$d__5(iArr);
    }

    public static Iterable<Long> asIterable(long[] jArr) {
        return new ArrayUtils$$asIterable$d__6(jArr);
    }

    public static <T> Iterable<T> asIterable(T[] tArr) {
        return new ArrayUtils$$asIterable$d__8(tArr);
    }

    public static Iterable<Short> asIterable(short[] sArr) {
        return new ArrayUtils$$asIterable$d__7(sArr);
    }

    public static Iterable<Boolean> asIterable(boolean[] zArr) {
        return new ArrayUtils$$asIterable$d__0(zArr);
    }

    public static Iterable<UnsignedByte> asIterableUnsigned(byte[] bArr) {
        return new ArrayUtils$$asIterableUnsigned$d__9(bArr);
    }

    public static Iterable<UnsignedInteger> asIterableUnsigned(int[] iArr) {
        return new ArrayUtils$$asIterableUnsigned$d__10(iArr);
    }

    public static Iterable<UnsignedLong> asIterableUnsigned(long[] jArr) {
        return new ArrayUtils$$asIterableUnsigned$d__11(jArr);
    }

    public static Iterable<UnsignedShort> asIterableUnsigned(short[] sArr) {
        return new ArrayUtils$$asIterableUnsigned$d__12(sArr);
    }
}
