package com.remobjects.elements.system;

public class Tuple3<T1, T2, T3> {
    private final T1 $p_Item1;
    private final T2 $p_Item2;
    private final T3 $p_Item3;

    public Tuple3(T1 t1, T2 t2, T3 t3) {
        this.$p_Item1 = null;
        this.$p_Item2 = null;
        this.$p_Item3 = null;
        this.$p_Item1 = t1;
        this.$p_Item2 = t2;
        this.$p_Item3 = t3;
    }

    public boolean equals(Object obj) {
        Tuple3 tuple3 = !(obj instanceof Tuple3) ? null : (Tuple3) obj;
        boolean z = tuple3 != null ? tuple3.$p_Item1 == this.$p_Item1 : false;
        z = z ? tuple3.$p_Item2 == this.$p_Item2 : false;
        return z ? tuple3.$p_Item3 == this.$p_Item3 : false;
    }

    public T1 getItem1() {
        return this.$p_Item1;
    }

    public T2 getItem2() {
        return this.$p_Item2;
    }

    public T3 getItem3() {
        return this.$p_Item3;
    }

    public int hashCode() {
        int i = 0;
        int R3 = (this.$p_Item1 != null ? 1 : 0) != 0 ? Tuple.R3(0) ^ this.$p_Item1.hashCode() : 0;
        if ((this.$p_Item2 != null ? 1 : 0) != 0) {
            R3 = Tuple.R3(R3) ^ this.$p_Item2.hashCode();
        }
        if (this.$p_Item3 != null) {
            i = 1;
        }
        return i != 0 ? Tuple.R3(R3) ^ this.$p_Item3.hashCode() : R3;
    }
}
