package swift;

import RemObjects.Oxygene.System.WarnUnusedResult;

public interface CollectionType<SubSequence extends Indexable<Index, Element> & Iterable<Index>, Index extends ForwardIndexType, Element> extends Indexable<Index, Element> {
    SubSequence getItem(Range range);

    long getcount();

    Element getfirst();

    boolean getisEmpty();

    @WarnUnusedResult
    SubSequence prefixThrough(Index index);

    @WarnUnusedResult
    SubSequence prefixUpTo(Index index);

    @WarnUnusedResult
    SubSequence suffixFrom(Index index);
}
