package swift;

import com.remobjects.elements.linq.__Extensions;
import com.remobjects.elements.system.Tuple2;
import java.util.HashMap;

public class Dictionary<Key, Value> {
    public static HashMap<Key, Value> $New() {
        return new HashMap();
    }

    public static HashMap<Key, Value> $New__dictionaryLiteral(Tuple2<Key, Value>... tuple2Arr) {
        int i = 0;
        HashMap<Key, Value> $New__minimumCapacity = $New__minimumCapacity((long) (tuple2Arr != null ? tuple2Arr.length : 0));
        if ((tuple2Arr != null ? 1 : 0) != 0) {
            while (i < tuple2Arr.length) {
                Tuple2 tuple2 = tuple2Arr[i];
                setItem($New__minimumCapacity, tuple2.getItem1(), tuple2.getItem2());
                i++;
            }
        }
        return $New__minimumCapacity;
    }

    public static HashMap<Key, Value> $New__minimumCapacity(long j) {
        return new HashMap((int) j);
    }

    public static Iterable<Tuple2<Key, Value>> GetSequence(HashMap<Key, Value> hashMap) {
        return DictionaryHelper.Enumerate(hashMap);
    }

    public static Value getItem(HashMap<Key, Value> hashMap, Key key) {
        return hashMap.containsKey(key) ? hashMap.get(key) : null;
    }

    public static long getcount(HashMap<Key, Value> hashMap) {
        return (long) __Extensions.Count(hashMap.keySet());
    }

    public static boolean getisEmpty(HashMap<Key, Value> hashMap) {
        return hashMap.isEmpty();
    }

    public static Iterable<Key> getkeys(HashMap<Key, Value> hashMap) {
        return hashMap.keySet();
    }

    public static Iterable<Value> getvalues(HashMap<Key, Value> hashMap) {
        return hashMap.values();
    }

    public static void removeAll(HashMap<Key, Value> hashMap, boolean z) {
        hashMap.clear();
    }

    public static Value removeValueForKey(HashMap<Key, Value> hashMap, Key key) {
        return hashMap.containsKey(key) ? hashMap.remove(key) : null;
    }

    public static void setItem(HashMap<Key, Value> hashMap, Key key, Value value) {
        if ((value != null ? 1 : null) != null) {
            hashMap.put(key, value);
        } else if (hashMap.containsKey(key)) {
            hashMap.remove(key);
        }
    }

    public static Value updateValue__forKey(HashMap<Key, Value> hashMap, Value value, Key key) {
        if (!hashMap.containsKey(key)) {
            return null;
        }
        Value value2 = hashMap.get(key);
        hashMap.put(key, value);
        return value2;
    }
}
