package com.remobjects.elements.system;

import java.lang.reflect.AccessibleObject;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.util.ArrayList;

public abstract class DynamicHelpers {
    protected DynamicHelpers() {
    }

    protected static Method FindBestMatch(DynamicMethodGroup dynamicMethodGroup, Object[] objArr) {
        int count = dynamicMethodGroup.getCount() - 1;
        if ((0 <= count ? 1 : null) != null) {
            int i = count + 1;
            int i2 = 0;
            do {
                Method item = dynamicMethodGroup.getItem(i2);
                Class[] parameterTypes = item.getParameterTypes();
                if (((parameterTypes != null ? parameterTypes.length : 0) != (objArr != null ? objArr.length : 0) ? 1 : null) == null) {
                    Class[] clsArr;
                    int length = parameterTypes.length - 1;
                    if ((0 <= length ? 1 : null) != null) {
                        int i3 = length + 1;
                        count = 0;
                        do {
                            if ((objArr[count] == null ? 1 : null) != null && parameterTypes[count].isPrimitive()) {
                                clsArr = null;
                                break;
                            }
                            if (parameterTypes[count].isPrimitive()) {
                                if ((parameterTypes[count] == Boolean.TYPE ? 1 : null) != null) {
                                    parameterTypes[count] = Boolean.class;
                                } else {
                                    if ((parameterTypes[count] == Byte.TYPE ? 1 : null) != null) {
                                        parameterTypes[count] = Byte.class;
                                    } else {
                                        if ((parameterTypes[count] == Character.TYPE ? 1 : null) != null) {
                                            parameterTypes[count] = Character.class;
                                        } else {
                                            if ((parameterTypes[count] == Double.TYPE ? 1 : null) != null) {
                                                parameterTypes[count] = Double.class;
                                            } else {
                                                if ((parameterTypes[count] == Float.TYPE ? 1 : null) != null) {
                                                    parameterTypes[count] = Float.class;
                                                } else {
                                                    if ((parameterTypes[count] == Integer.TYPE ? 1 : null) != null) {
                                                        parameterTypes[count] = Integer.class;
                                                    } else {
                                                        if ((parameterTypes[count] == Long.TYPE ? 1 : null) != null) {
                                                            parameterTypes[count] = Long.class;
                                                        } else {
                                                            if ((parameterTypes[count] == Short.TYPE ? 1 : null) != null) {
                                                                parameterTypes[count] = Short.class;
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                            if ((!parameterTypes[count].isAssignableFrom(objArr[count].getClass()) ? 1 : null) != null) {
                                clsArr = null;
                                break;
                            }
                            count++;
                        } while (count != i3);
                        clsArr = parameterTypes;
                    } else {
                        clsArr = parameterTypes;
                    }
                    if ((clsArr != null ? 1 : null) != null) {
                        return item;
                    }
                }
                i2++;
            } while (i2 != i);
        }
        return null;
    }

    public static Object GetMember(Object obj, String str, int i, Object[] objArr) {
        if ((obj == null ? 1 : null) != null) {
            if (((i & 8) != 0 ? 1 : null) != null) {
                return null;
            }
            throw new NullPointerException();
        }
        if ((str == null ? 1 : null) != null) {
            return TryApplyIndexer(null, objArr);
        }
        int i2;
        int i3;
        ArrayList arrayList;
        Class cls = !(obj instanceof Class) ? null : (Class) obj;
        Object obj2 = cls != null ? 1 : null;
        Class cls2 = (obj2 == null ? 1 : null) != null ? obj.getClass() : cls;
        if (((objArr != null ? objArr.length : 0) == 0 ? 1 : null) != null) {
            Field[] fields = cls2.getFields();
            if ((fields != null ? 1 : null) != null) {
                for (Field field : fields) {
                    boolean z;
                    if (!(obj2 == null ? true : Modifier.isStatic(field.getModifiers()))) {
                        z = false;
                    } else if ((i & 2) != 0) {
                        String name = field.getName();
                        z = name == null ? false : name.equals(str);
                    } else {
                        z = field.getName().equalsIgnoreCase(str);
                    }
                    if (z) {
                        return field.get(obj);
                    }
                }
            }
        }
        Method[] methods = cls2.getMethods();
        if ((methods != null ? 1 : null) != null) {
            ArrayList arrayList2 = null;
            for (Method method : methods) {
                boolean z2;
                if (!(obj2 == null ? true : Modifier.isStatic(method.getModifiers()))) {
                    z2 = false;
                } else if ((i & 2) != 0) {
                    String name2 = method.getName();
                    z2 = name2 == null ? false : name2.equals(str);
                } else {
                    z2 = method.getName().equalsIgnoreCase(str);
                }
                if (z2) {
                    if ((arrayList2 == null ? 1 : null) != null) {
                        arrayList2 = new ArrayList();
                    }
                    arrayList2.add(method);
                }
            }
            arrayList = arrayList2;
        } else {
            arrayList = null;
        }
        Object obj3 = null;
        int i4;
        if ((arrayList == null ? 1 : null) != null) {
            Method method2 = null;
            if ((methods != null ? 1 : null) != null) {
                i4 = 0;
                while (i4 < methods.length) {
                    Object obj4;
                    boolean z3;
                    ArrayList arrayList3;
                    Method method3 = methods[i4];
                    Class[] parameterTypes = method3.getParameterTypes();
                    if (obj2 == null ? true : Modifier.isStatic(method3.getModifiers())) {
                        obj4 = method3.getName().startsWith("get") ? method3.getName().length() > 3 ? 1 : null : null;
                        if (obj4 == null) {
                            z3 = false;
                        } else if (!Character.isUpperCase(method3.getName().charAt(3))) {
                            z3 = false;
                        } else if ((i & 2) != 0) {
                            String name3 = method3.getName();
                            z3 = name3 == null ? false : name3.equals(str);
                        } else {
                            z3 = method3.getName().substring(3).equalsIgnoreCase(str);
                        }
                    } else {
                        z3 = false;
                    }
                    if (z3) {
                        if ((parameterTypes != null ? parameterTypes.length : 0) == 0) {
                            obj4 = 1;
                        } else {
                            obj4 = (parameterTypes != null ? parameterTypes.length : 0) == (objArr != null ? objArr.length : 0) ? 1 : null;
                        }
                    } else {
                        obj4 = null;
                    }
                    if (obj4 != null) {
                        if ((arrayList == null ? 1 : null) != null) {
                            arrayList = new ArrayList();
                        }
                        arrayList.add(method3);
                        if (((parameterTypes != null ? parameterTypes.length : 0) == 0 ? 1 : null) != null) {
                            arrayList3 = arrayList;
                            i4++;
                            arrayList = arrayList3;
                            method2 = method3;
                        }
                    }
                    method3 = method2;
                    arrayList3 = arrayList;
                    i4++;
                    arrayList = arrayList3;
                    method2 = method3;
                }
            }
            if ((arrayList == null ? 1 : null) != null) {
                if (((i & 16) != 0 ? 1 : null) != null) {
                    return null;
                }
                throw new DynamicInvokeException(str == null ? "No element with this name: " : "No element with this name: ".concat(str));
            }
            return (method2 != null ? 1 : null) != null ? TryApplyIndexer(method2.invoke(obj, new Object[0]), objArr) : Invoke(new DynamicMethodGroup(obj, arrayList), i, objArr);
        } else {
            if ((i & 4) != 0) {
                obj3 = 1;
            }
            obj3 = obj3 != null ? (i & 1) == 0 ? 1 : null : null;
            if (obj3 != null) {
                i4 = arrayList.size() - 1;
                if ((0 <= i4 ? 1 : null) != null) {
                    i4++;
                    i3 = 0;
                    while (true) {
                        Class[] parameterTypes2 = ((Method) arrayList.get(i3)).getParameterTypes();
                        if (((parameterTypes2 != null ? parameterTypes2.length : 0) == 0 ? 1 : null) != null) {
                            return TryApplyIndexer(((Method) arrayList.get(i3)).invoke(obj, new Object[0]), objArr);
                        }
                        i2 = i3 + 1;
                        if (i2 == i4) {
                            break;
                        }
                        i3 = i2;
                    }
                }
            }
            if (((objArr != null ? objArr.length : 0) != 0 ? 1 : null) == null) {
                return new DynamicMethodGroup(obj, arrayList);
            }
            throw new DynamicInvokeException("Indexer parameters cannot be applied to method group");
        }
    }

    public static Object Invoke(Object obj, int i, Object[] objArr) {
        boolean z = true;
        if (obj == null) {
            if ((i & 8) != 0) {
                return null;
            }
            if ((i & 16) == 0) {
                z = false;
            }
            if (z) {
                return null;
            }
            throw new NullPointerException();
        } else if (obj instanceof Class) {
            throw new DynamicInvokeException("Cannot invoke class");
        } else {
            DynamicMethodGroup dynamicMethodGroup = !(obj instanceof DynamicMethodGroup) ? null : (DynamicMethodGroup) obj;
            DynamicMethodGroup dynamicMethodGroup2 = dynamicMethodGroup == null ? (DynamicMethodGroup) GetMember(obj, "Invoke", 1, null) : dynamicMethodGroup;
            if (dynamicMethodGroup2 == null) {
                throw new DynamicInvokeException("No overload with these parameters");
            }
            AccessibleObject FindBestMatch = FindBestMatch(dynamicMethodGroup2, objArr);
            if (FindBestMatch == null) {
                throw new DynamicInvokeException("No overload with these parameters");
            }
            FindBestMatch.setAccessible(true);
            return FindBestMatch.invoke(dynamicMethodGroup2.getInst() instanceof Class ? null : dynamicMethodGroup2.getInst(), objArr);
        }
    }

    public static Object Invoke(Object obj, String str, int i, Object[] objArr) {
        return Invoke(GetMember(obj, str, i | 1, null), i, objArr);
    }

    public static Object SetMember(Object obj, String str, int i, Object[] objArr) {
        int i2 = 1;
        if ((obj == null ? 1 : 0) != 0) {
            if ((i & 8) == 0) {
                i2 = 0;
            }
            if (i2 != 0) {
                return null;
            }
            throw new NullPointerException();
        }
        if ((str == null ? 1 : 0) != 0) {
            return TryApplyIndexer(null, objArr);
        }
        ArrayList arrayList;
        Class cls = !(obj instanceof Class) ? null : (Class) obj;
        int i3 = cls != null ? 1 : 0;
        Class cls2 = (i3 == 0 ? 1 : 0) != 0 ? obj.getClass() : cls;
        if (((objArr != null ? objArr.length : 0) == 0 ? 1 : 0) != 0) {
            Field[] fields = cls2.getFields();
            if ((fields != null ? 1 : 0) != 0) {
                for (Field field : fields) {
                    boolean z;
                    if (!(i3 == 0 ? true : Modifier.isStatic(field.getModifiers()))) {
                        z = false;
                    } else if ((i & 2) != 0) {
                        String name = field.getName();
                        z = name == null ? false : name.equals(str);
                    } else {
                        z = field.getName().equalsIgnoreCase(str);
                    }
                    if (z) {
                        if ((objArr != null ? objArr.length : 0) == 1) {
                            i2 = 0;
                        }
                        if (i2 != 0) {
                            throw new DynamicInvokeException("Too many array parameters for this member");
                        }
                        field.set(obj, objArr[0]);
                        return null;
                    }
                }
            }
        }
        Method[] methods = cls2.getMethods();
        if ((methods != null ? 1 : 0) != 0) {
            ArrayList arrayList2 = null;
            for (Method method : methods) {
                int i4;
                boolean z2;
                if (i3 == 0 ? true : Modifier.isStatic(method.getModifiers())) {
                    i4 = method.getName().startsWith("set") ? method.getName().length() > 3 ? 1 : 0 : 0;
                    if (i4 == 0) {
                        z2 = false;
                    } else if (!Character.isUpperCase(method.getName().charAt(3))) {
                        z2 = false;
                    } else if ((i & 2) != 0) {
                        String name2 = method.getName();
                        z2 = name2 == null ? false : name2.equals(str);
                    } else {
                        z2 = method.getName().substring(3).equalsIgnoreCase(str);
                    }
                } else {
                    z2 = false;
                }
                if (z2) {
                    Class[] parameterTypes = method.getParameterTypes();
                    i4 = (parameterTypes != null ? parameterTypes.length : 0) == (objArr != null ? objArr.length : 0) ? 1 : 0;
                } else {
                    i4 = 0;
                }
                if (i4 != 0) {
                    if ((arrayList2 == null ? 1 : 0) != 0) {
                        arrayList2 = new ArrayList();
                    }
                    arrayList2.add(method);
                }
            }
            arrayList = arrayList2;
        } else {
            arrayList = null;
        }
        if ((arrayList == null ? 1 : 0) == 0) {
            return Invoke(new DynamicMethodGroup(obj, arrayList), i, objArr);
        }
        if ((i & 16) == 0) {
            i2 = 0;
        }
        if (i2 != 0) {
            return null;
        }
        throw new DynamicInvokeException(str == null ? "No element with this name: " : "No element with this name: ".concat(str));
    }

    protected static Object TryApplyIndexer(Object obj, Object[] objArr) {
        int i = 1;
        UnsignedLong unsignedLong = null;
        if (((objArr != null ? objArr.length : 0) == 0 ? 1 : 0) != 0) {
            return obj;
        }
        Object[] objArr2 = !(obj instanceof Object[]) ? null : (Object[]) obj;
        Object obj2;
        Long l;
        UnsignedInteger unsignedInteger;
        if ((objArr2 != null ? 1 : 0) != 0) {
            if ((objArr != null ? objArr.length : 0) == 1) {
                i = 0;
            }
            if (i != 0) {
                throw new DynamicInvokeException("Cannot access indexer with more than 1 parameter");
            } else if (objArr[0] instanceof Integer) {
                obj2 = objArr[0];
                return objArr2[(!(obj2 instanceof Integer) ? null : (Integer) obj2).intValue()];
            } else if (objArr[0] instanceof Long) {
                obj2 = objArr[0];
                if (obj2 instanceof Long) {
                    l = (Long) obj2;
                }
                return objArr2[l.intValue()];
            } else if (objArr[0] instanceof UnsignedInteger) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedInteger) {
                    unsignedInteger = (UnsignedInteger) obj2;
                }
                return objArr2[unsignedInteger.intValue()];
            } else if (objArr[0] instanceof UnsignedLong) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedLong) {
                    unsignedLong = (UnsignedLong) obj2;
                }
                return objArr2[unsignedLong.intValue()];
            } else {
                throw new DynamicInvokeException("Integer indexer expected");
            }
        }
        byte[] bArr = !(obj instanceof byte[]) ? null : (byte[]) obj;
        Integer num;
        if ((bArr != null ? 1 : 0) != 0) {
            if ((objArr != null ? objArr.length : 0) == 1) {
                i = 0;
            }
            if (i != 0) {
                throw new DynamicInvokeException("Cannot access indexer with more than 1 parameter");
            } else if (objArr[0] instanceof Integer) {
                obj2 = objArr[0];
                if (obj2 instanceof Integer) {
                    num = (Integer) obj2;
                }
                return Byte.valueOf((byte) bArr[num.intValue()]);
            } else if (objArr[0] instanceof Long) {
                obj2 = objArr[0];
                if (obj2 instanceof Long) {
                    l = (Long) obj2;
                }
                return Byte.valueOf((byte) bArr[l.intValue()]);
            } else if (objArr[0] instanceof UnsignedInteger) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedInteger) {
                    unsignedInteger = (UnsignedInteger) obj2;
                }
                return Byte.valueOf((byte) bArr[unsignedInteger.intValue()]);
            } else if (objArr[0] instanceof UnsignedLong) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedLong) {
                    unsignedLong = (UnsignedLong) obj2;
                }
                return Byte.valueOf((byte) bArr[unsignedLong.intValue()]);
            } else {
                throw new DynamicInvokeException("Integer indexer expected");
            }
        }
        short[] sArr = !(obj instanceof short[]) ? null : (short[]) obj;
        if ((sArr != null ? 1 : 0) != 0) {
            if ((objArr != null ? objArr.length : 0) == 1) {
                i = 0;
            }
            if (i != 0) {
                throw new DynamicInvokeException("Cannot access indexer with more than 1 parameter");
            } else if (objArr[0] instanceof Integer) {
                obj2 = objArr[0];
                if (obj2 instanceof Integer) {
                    num = (Integer) obj2;
                }
                return Short.valueOf((short) sArr[num.intValue()]);
            } else if (objArr[0] instanceof Long) {
                obj2 = objArr[0];
                if (obj2 instanceof Long) {
                    l = (Long) obj2;
                }
                return Short.valueOf((short) sArr[l.intValue()]);
            } else if (objArr[0] instanceof UnsignedInteger) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedInteger) {
                    unsignedInteger = (UnsignedInteger) obj2;
                }
                return Short.valueOf((short) sArr[unsignedInteger.intValue()]);
            } else if (objArr[0] instanceof UnsignedLong) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedLong) {
                    unsignedLong = (UnsignedLong) obj2;
                }
                return Short.valueOf((short) sArr[unsignedLong.intValue()]);
            } else {
                throw new DynamicInvokeException("Integer indexer expected");
            }
        }
        int[] iArr = !(obj instanceof int[]) ? null : (int[]) obj;
        if ((iArr != null ? 1 : 0) != 0) {
            if ((objArr != null ? objArr.length : 0) == 1) {
                i = 0;
            }
            if (i != 0) {
                throw new DynamicInvokeException("Cannot access indexer with more than 1 parameter");
            } else if (objArr[0] instanceof Integer) {
                obj2 = objArr[0];
                if (obj2 instanceof Integer) {
                    num = (Integer) obj2;
                }
                return Integer.valueOf(iArr[num.intValue()]);
            } else if (objArr[0] instanceof Long) {
                obj2 = objArr[0];
                if (obj2 instanceof Long) {
                    l = (Long) obj2;
                }
                return Integer.valueOf(iArr[l.intValue()]);
            } else if (objArr[0] instanceof UnsignedInteger) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedInteger) {
                    unsignedInteger = (UnsignedInteger) obj2;
                }
                return Integer.valueOf(iArr[unsignedInteger.intValue()]);
            } else if (objArr[0] instanceof UnsignedLong) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedLong) {
                    unsignedLong = (UnsignedLong) obj2;
                }
                return Integer.valueOf(iArr[unsignedLong.intValue()]);
            } else {
                throw new DynamicInvokeException("Integer indexer expected");
            }
        }
        long[] jArr = !(obj instanceof long[]) ? null : (long[]) obj;
        if ((jArr != null ? 1 : 0) != 0) {
            if ((objArr != null ? objArr.length : 0) == 1) {
                i = 0;
            }
            if (i != 0) {
                throw new DynamicInvokeException("Cannot access indexer with more than 1 parameter");
            } else if (objArr[0] instanceof Integer) {
                obj2 = objArr[0];
                if (obj2 instanceof Integer) {
                    num = (Integer) obj2;
                }
                return Long.valueOf(jArr[num.intValue()]);
            } else if (objArr[0] instanceof Long) {
                obj2 = objArr[0];
                if (obj2 instanceof Long) {
                    l = (Long) obj2;
                }
                return Long.valueOf(jArr[l.intValue()]);
            } else if (objArr[0] instanceof UnsignedInteger) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedInteger) {
                    unsignedInteger = (UnsignedInteger) obj2;
                }
                return Long.valueOf(jArr[unsignedInteger.intValue()]);
            } else if (objArr[0] instanceof UnsignedLong) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedLong) {
                    unsignedLong = (UnsignedLong) obj2;
                }
                return Long.valueOf(jArr[unsignedLong.intValue()]);
            } else {
                throw new DynamicInvokeException("Integer indexer expected");
            }
        }
        boolean[] zArr = !(obj instanceof boolean[]) ? null : (boolean[]) obj;
        if ((zArr != null ? 1 : 0) != 0) {
            if ((objArr != null ? objArr.length : 0) == 1) {
                i = 0;
            }
            if (i != 0) {
                throw new DynamicInvokeException("Cannot access indexer with more than 1 parameter");
            } else if (objArr[0] instanceof Integer) {
                obj2 = objArr[0];
                if (obj2 instanceof Integer) {
                    num = (Integer) obj2;
                }
                return Boolean.valueOf(zArr[num.intValue()]);
            } else if (objArr[0] instanceof Long) {
                obj2 = objArr[0];
                if (obj2 instanceof Long) {
                    l = (Long) obj2;
                }
                return Boolean.valueOf(zArr[l.intValue()]);
            } else if (objArr[0] instanceof UnsignedInteger) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedInteger) {
                    unsignedInteger = (UnsignedInteger) obj2;
                }
                return Boolean.valueOf(zArr[unsignedInteger.intValue()]);
            } else if (objArr[0] instanceof UnsignedLong) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedLong) {
                    unsignedLong = (UnsignedLong) obj2;
                }
                return Boolean.valueOf(zArr[unsignedLong.intValue()]);
            } else {
                throw new DynamicInvokeException("Integer indexer expected");
            }
        }
        char[] cArr = !(obj instanceof char[]) ? null : (char[]) obj;
        if ((cArr != null ? 1 : 0) != 0) {
            if ((objArr != null ? objArr.length : 0) == 1) {
                i = 0;
            }
            if (i != 0) {
                throw new DynamicInvokeException("Cannot access indexer with more than 1 parameter");
            } else if (objArr[0] instanceof Integer) {
                obj2 = objArr[0];
                if (obj2 instanceof Integer) {
                    num = (Integer) obj2;
                }
                return Character.valueOf(cArr[num.intValue()]);
            } else if (objArr[0] instanceof Long) {
                obj2 = objArr[0];
                if (obj2 instanceof Long) {
                    l = (Long) obj2;
                }
                return Character.valueOf(cArr[l.intValue()]);
            } else if (objArr[0] instanceof UnsignedInteger) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedInteger) {
                    unsignedInteger = (UnsignedInteger) obj2;
                }
                return Character.valueOf(cArr[unsignedInteger.intValue()]);
            } else if (objArr[0] instanceof UnsignedLong) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedLong) {
                    unsignedLong = (UnsignedLong) obj2;
                }
                return Character.valueOf(cArr[unsignedLong.intValue()]);
            } else {
                throw new DynamicInvokeException("Integer indexer expected");
            }
        }
        float[] fArr = !(obj instanceof float[]) ? null : (float[]) obj;
        if ((fArr != null ? 1 : 0) != 0) {
            if ((objArr != null ? objArr.length : 0) == 1) {
                i = 0;
            }
            if (i != 0) {
                throw new DynamicInvokeException("Cannot access indexer with more than 1 parameter");
            } else if (objArr[0] instanceof Integer) {
                obj2 = objArr[0];
                if (obj2 instanceof Integer) {
                    num = (Integer) obj2;
                }
                return Float.valueOf(fArr[num.intValue()]);
            } else if (objArr[0] instanceof Long) {
                obj2 = objArr[0];
                if (obj2 instanceof Long) {
                    l = (Long) obj2;
                }
                return Float.valueOf(fArr[l.intValue()]);
            } else if (objArr[0] instanceof UnsignedInteger) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedInteger) {
                    unsignedInteger = (UnsignedInteger) obj2;
                }
                return Float.valueOf(fArr[unsignedInteger.intValue()]);
            } else if (objArr[0] instanceof UnsignedLong) {
                obj2 = objArr[0];
                if (obj2 instanceof UnsignedLong) {
                    unsignedLong = (UnsignedLong) obj2;
                }
                return Float.valueOf(fArr[unsignedLong.intValue()]);
            } else {
                throw new DynamicInvokeException("Integer indexer expected");
            }
        }
        double[] dArr = !(obj instanceof double[]) ? null : (double[]) obj;
        if ((dArr != null ? 1 : 0) == 0) {
            return GetMember(obj, "Item", 0, objArr);
        }
        if (((objArr != null ? objArr.length : 0) != 1 ? 1 : 0) != 0) {
            throw new DynamicInvokeException("Cannot access indexer with more than 1 parameter");
        } else if (objArr[0] instanceof Integer) {
            obj2 = objArr[0];
            if (obj2 instanceof Integer) {
                num = (Integer) obj2;
            }
            return Double.valueOf(dArr[num.intValue()]);
        } else if (objArr[0] instanceof Long) {
            obj2 = objArr[0];
            if (obj2 instanceof Long) {
                l = (Long) obj2;
            }
            return Double.valueOf(dArr[l.intValue()]);
        } else if (objArr[0] instanceof UnsignedInteger) {
            obj2 = objArr[0];
            if (obj2 instanceof UnsignedInteger) {
                unsignedInteger = (UnsignedInteger) obj2;
            }
            return Double.valueOf(dArr[unsignedInteger.intValue()]);
        } else if (objArr[0] instanceof UnsignedLong) {
            obj2 = objArr[0];
            if (obj2 instanceof UnsignedLong) {
                unsignedLong = (UnsignedLong) obj2;
            }
            return Double.valueOf(dArr[unsignedLong.intValue()]);
        } else {
            throw new DynamicInvokeException("Integer indexer expected");
        }
    }
}
