package swift;

import RemObjects.Oxygene.System.WarnUnusedResult;

public class ClosedInterval {
    final long $p_end;
    final long $p_start;

    ClosedInterval(long j, long j2) {
        this.$p_start = j;
        this.$p_end = j2;
    }

    ClosedInterval(ClosedInterval closedInterval) {
        if (closedInterval == null) {
            throw new IllegalArgumentException("x");
        }
        this.$p_start = closedInterval.$p_start;
        this.$p_end = closedInterval.$p_end;
    }

    public Iterable<Long> GetSequence() {
        return new ClosedInterval$$GetSequence$d__1(this);
    }

    @WarnUnusedResult
    ClosedInterval clamp(ClosedInterval closedInterval) {
        if (closedInterval == null) {
            throw new IllegalArgumentException("intervalToClamp");
        }
        long j = this.$p_start > closedInterval.$p_start ? this.$p_start : this.$p_end < closedInterval.$p_start ? this.$p_end : closedInterval.$p_start;
        long j2 = this.$p_end < closedInterval.$p_end ? this.$p_end : this.$p_start > closedInterval.$p_end ? this.$p_start : closedInterval.$p_end;
        return new ClosedInterval(j, j2);
    }

    @WarnUnusedResult
    boolean contains(long j) {
        return j >= this.$p_start && j <= this.$p_end;
    }

    public String getdebugDescription() {
        return String.format("ClosedInterval(%s...%s)", new Object[]{__Extension_String.$New__reflecting(Long.valueOf(this.$p_start)), __Extension_String.$New__reflecting(Long.valueOf(this.$p_end))});
    }

    public String getdescription() {
        return String.format("%d...%d", new Object[]{Long.valueOf(this.$p_start), Long.valueOf(this.$p_end)});
    }

    public long getend() {
        return this.$p_end;
    }

    public boolean getisEmpty() {
        return false;
    }

    public long getstart() {
        return this.$p_start;
    }
}
