package swift;

public class Range implements ICustomStringConvertible, ICustomDebugStringConvertible {
    private long $p_endIndex;
    private long $p_startIndex;

    public Range(long j, long j2) {
        setstartIndex(j);
        setendIndex(j2);
    }

    public Range(Range range) {
        if (range == null) {
            throw new IllegalArgumentException("x");
        }
        setstartIndex(range.getstartIndex());
        setendIndex(range.getendIndex());
    }

    public static boolean op_Equality(Range range, Range range2) {
        return range.getstartIndex() == range2.getstartIndex() && range.getendIndex() == range2.getendIndex();
    }

    public boolean Equals(Range range) {
        if (range != null) {
            return getstartIndex() == range.getstartIndex() && getendIndex() == range.getendIndex();
        } else {
            throw new IllegalArgumentException("rhs");
        }
    }

    public Iterable<Long> GetSequence() {
        return new Range$$GetSequence$d__1(this);
    }

    public long getItem(long j) {
        return j;
    }

    public String getdebugDescription() {
        return String.format("Range(%s..<%s)", new Object[]{__Extension_String.$New__reflecting(Long.valueOf(getstartIndex())), __Extension_String.$New__reflecting(Long.valueOf(getendIndex()))});
    }

    public String getdescription() {
        return String.format("%d..<%d", new Object[]{Long.valueOf(getstartIndex()), Long.valueOf(getendIndex())});
    }

    public long getendIndex() {
        return this.$p_endIndex;
    }

    public long getlength() {
        return getendIndex() - getstartIndex();
    }

    public long getstartIndex() {
        return this.$p_startIndex;
    }

    public void setendIndex(long j) {
        this.$p_endIndex = j;
    }

    public void setstartIndex(long j) {
        this.$p_startIndex = j;
    }
}
