package swift;

import java.io.Closeable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;

public class Set<T> implements Iterable<T> {
    public static ArrayList<T> $New() {
        return new ArrayList();
    }

    public static ArrayList<T> $New__arrayLiteral(T... tArr) {
        Object obj = 1;
        if (tArr != null) {
            if ((tArr != null ? tArr.length : 0) != 0) {
                obj = null;
            }
        }
        return obj != null ? $New() : new ArrayList(Arrays.asList(tArr));
    }

    public static ArrayList<T> $New__minimumCapacity(long j) {
        return new ArrayList();
    }

    public static boolean contains(ArrayList<T> arrayList, T t) {
        return arrayList.contains(t);
    }

    public static ArrayList<T> exclusiveOr(ArrayList<T> arrayList, ArrayList<T> arrayList2) {
        Closeable closeable = null;
        if (arrayList2 == null) {
            throw new IllegalArgumentException("anotherSet");
        }
        Iterator it;
        Object next;
        Throwable th;
        ArrayList<T> $New = $New();
        if ((arrayList != null ? 1 : null) != null) {
            it = arrayList.iterator();
            if ((it != null ? 1 : null) != null) {
                while (it.hasNext()) {
                    try {
                        next = it.next();
                        if ((!contains(arrayList2, next) ? 1 : null) != null) {
                            insert($New, next);
                        }
                    } catch (Throwable th2) {
                        th = th2;
                    }
                }
                th = null;
                if (it instanceof Closeable) {
                    (!(it instanceof Closeable) ? null : (Closeable) it).close();
                }
                if (th != null) {
                    throw th;
                }
            }
        }
        if ((arrayList2 != null ? 1 : null) != null) {
            it = arrayList2.iterator();
            if ((it != null ? 1 : null) != null) {
                while (it.hasNext()) {
                    try {
                        next = it.next();
                        if ((!contains(arrayList, next) ? 1 : null) != null) {
                            insert($New, next);
                        }
                    } catch (Throwable th3) {
                        th = th3;
                    }
                }
                th = null;
                if (it instanceof Closeable) {
                    if (it instanceof Closeable) {
                        closeable = (Closeable) it;
                    }
                    closeable.close();
                }
                if (th != null) {
                    throw th;
                }
            }
        }
        return $New;
    }

    static T getItem(ArrayList<T> arrayList, long j) {
        return arrayList.get((int) j);
    }

    public static long getcount(ArrayList<T> arrayList) {
        return (long) arrayList.size();
    }

    public static String getdebugDescription(ArrayList<T> arrayList) {
        return getdescription(arrayList);
    }

    public static String getdescription(ArrayList<T> arrayList) {
        return arrayList.toString();
    }

    public static T getfirst(ArrayList<T> arrayList) {
        return ((getcount(arrayList) > ((long) null) ? 1 : (getcount(arrayList) == ((long) null) ? 0 : -1)) > 0 ? 1 : 0) != 0 ? arrayList.get(0) : null;
    }

    public static boolean getisEmpty(ArrayList<T> arrayList) {
        return getcount(arrayList) == ((long) null);
    }

    public static void insert(ArrayList<T> arrayList, T t) {
        if ((!arrayList.contains(t) ? 1 : null) != null) {
            arrayList.add(t);
        }
    }

    public static ArrayList<T> intersect(ArrayList<T> arrayList, ArrayList<T> arrayList2) {
        Closeable closeable = null;
        Object obj = 1;
        if (arrayList2 == null) {
            throw new IllegalArgumentException("anotherSet");
        }
        ArrayList<T> $New = $New();
        Object obj2 = !getisEmpty(arrayList2) ? !getisEmpty(arrayList) ? 1 : null : null;
        if (obj2 != null) {
            if ((arrayList != null ? 1 : null) != null) {
                Iterator it = arrayList.iterator();
                if (it == null) {
                    obj = null;
                }
                if (obj != null) {
                    Throwable th;
                    while (it.hasNext()) {
                        try {
                            obj = it.next();
                            if (contains(arrayList2, obj)) {
                                insert($New, obj);
                            }
                        } catch (Throwable th2) {
                            th = th2;
                        }
                    }
                    th = null;
                    if (it instanceof Closeable) {
                        if (it instanceof Closeable) {
                            closeable = (Closeable) it;
                        }
                        closeable.close();
                    }
                    if (th != null) {
                        throw th;
                    }
                }
            }
        }
        return $New;
    }

    public static T remove(ArrayList<T> arrayList, T t) {
        if (!arrayList.contains(t)) {
            return null;
        }
        arrayList.remove(t);
        return t;
    }

    public static void removeAll(ArrayList<T> arrayList, boolean z) {
        arrayList.clear();
    }

    static T removeAtIndex(ArrayList<T> arrayList, long j) {
        T t = arrayList.get((int) j);
        arrayList.remove((int) j);
        return t;
    }

    static T removeFirst(ArrayList<T> arrayList) {
        T t = arrayList.get(0);
        arrayList.remove(0);
        return t;
    }

    public static ArrayList<T> subtract(ArrayList<T> arrayList, ArrayList<T> arrayList2) {
        Closeable closeable = null;
        if (arrayList2 == null) {
            throw new IllegalArgumentException("anotherSet");
        }
        ArrayList<T> $New = $New();
        Object obj = !getisEmpty(arrayList2) ? !getisEmpty(arrayList) ? 1 : null : null;
        if (obj != null) {
            if ((arrayList != null ? 1 : null) != null) {
                Iterator it = arrayList.iterator();
                if ((it != null ? 1 : null) != null) {
                    Throwable th;
                    while (it.hasNext()) {
                        try {
                            Object next = it.next();
                            if ((!contains(arrayList2, next) ? 1 : null) != null) {
                                insert($New, next);
                            }
                        } catch (Throwable th2) {
                            th = th2;
                        }
                    }
                    th = null;
                    if (it instanceof Closeable) {
                        if (it instanceof Closeable) {
                            closeable = (Closeable) it;
                        }
                        closeable.close();
                    }
                    if (th != null) {
                        throw th;
                    }
                }
            }
        }
        return $New;
    }

    public static ArrayList<T> union(ArrayList<T> arrayList, ArrayList<T> arrayList2) {
        Closeable closeable = null;
        if (arrayList2 == null) {
            throw new IllegalArgumentException("anotherSet");
        }
        Iterator it;
        Throwable th;
        ArrayList<T> $New = $New();
        if ((arrayList != null ? 1 : null) != null) {
            it = arrayList.iterator();
            if ((it != null ? 1 : null) != null) {
                while (it.hasNext()) {
                    try {
                        insert($New, it.next());
                    } catch (Throwable th2) {
                        th = th2;
                    }
                }
                th = null;
                if (it instanceof Closeable) {
                    (!(it instanceof Closeable) ? null : (Closeable) it).close();
                }
                if (th != null) {
                    throw th;
                }
            }
        }
        if ((arrayList2 != null ? 1 : null) != null) {
            it = arrayList2.iterator();
            if ((it != null ? 1 : null) != null) {
                while (it.hasNext()) {
                    try {
                        Object next = it.next();
                        if ((!contains($New, next) ? 1 : null) != null) {
                            insert($New, next);
                        }
                    } catch (Throwable th3) {
                        th = th3;
                    }
                }
                th = null;
                if (it instanceof Closeable) {
                    if (it instanceof Closeable) {
                        closeable = (Closeable) it;
                    }
                    closeable.close();
                }
                if (th != null) {
                    throw th;
                }
            }
        }
        return $New;
    }
}
